Package org.eclipse.emf.cdo.common.revision

# Interface CDOAllRevisionsProvider

All Known Subinterfaces:
  `IMEMStore`, `IMEMStore`, `InternalCDORevisionCache`

public interface CDOAllRevisionsProvider
Provides consumers with all `revisions` available in an instance of this interface.

Since:
  3.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Map<CDOBranch,List<CDORevision>>`
`getAllRevisions()`

## Method Details

### getAllRevisions

Map<CDOBranch,List<CDORevision>> getAllRevisions()